Loading...
Searching...
No Matches
ON_ClippingRegion Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_xform.h>`

## Public Types

enum | { max_clip_plane_count = 16 , frustum_bitmask = 0x0000003F , near_plane_bitmask = 0x00000020 , far_plane_bitmask = 0x00000010 , clip_plane_bitmask = 0x7FFFFFC0 , negw_bitmask = 0x80000000 }

## Public Member Functions

| ON_ClippingRegion ()
void | SetClipPlaneTolerance (double clip_plane_tolerance)
double | ClipPlaneTolerance () const
int | InViewFrustum (ON_3dPoint P) const
int | InViewFrustum (const ON_BoundingBox &bbox) const
int | InViewFrustum (int count, const ON_3fPoint *p) const
int | InViewFrustum (int count, const ON_3dPoint *p) const
int | InViewFrustum (int count, const ON_4dPoint *p) const
int | InClipPlaneRegion (ON_3dPoint P) const
int | InClipPlaneRegion (const ON_BoundingBox &bbox) const
int | InClipPlaneRegion (int count, const ON_3fPoint *p) const
int | InClipPlaneRegion (int count, const ON_3dPoint *p) const
int | InClipPlaneRegion (int count, const ON_4dPoint *p) const
int | IsVisible (ON_3dPoint P) const
int | IsVisible (const ON_BoundingBox &bbox) const
int | IsVisible (int count, const ON_3fPoint *p) const
int | IsVisible (int count, const ON_3dPoint *p) const
int | IsVisible (int count, const ON_4dPoint *p) const
int | TransformPoints (int count, ON_4dPoint *p) const
int | TransformPoints (int count, ON_4dPoint *p, unsigned int *pflags) const
unsigned int | TransformPoint (const ON_4dPoint &P, ON_4dPoint &Q) const
unsigned int | TransformPoint (const ON_3dPoint &P, ON_3dPoint &Q) const
unsigned int | TransformPoint (const ON_3fPoint &P, ON_3dPoint &Q) const
bool | GetLineClipPlaneParamters (ON_4dPoint P0, ON_4dPoint P1, double *t0, double *t1) const

## Public Attributes

ON_Xform | m_xform
int | m_clip_plane_count
ON_PlaneEquation | m_clip_plane [max_clip_plane_count]

## Detailed Description

Definition at line 766 of file opennurbs_xform.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
max_clip_plane_count |
frustum_bitmask |
near_plane_bitmask |
far_plane_bitmask |
clip_plane_bitmask |
negw_bitmask |

Definition at line 799 of file opennurbs_xform.h.

## Constructor & Destructor Documentation

## ON_ClippingRegion()

ON_ClippingRegion::ON_ClippingRegion | ( |  | ) |

## Member Function Documentation

## ClipPlaneTolerance()

double ON_ClippingRegion::ClipPlaneTolerance | ( |  | ) | const

## GetLineClipPlaneParamters()

bool ON_ClippingRegion::GetLineClipPlaneParamters | ( | ON_4dPoint | P0,
|  | ON_4dPoint | P1,
|  | double * | t0,
|  | double * | t1 ) const

## InClipPlaneRegion() [1/5]

int ON_ClippingRegion::InClipPlaneRegion | ( | const ON_BoundingBox & | bbox | ) | const

## InClipPlaneRegion() [2/5]

int ON_ClippingRegion::InClipPlaneRegion | ( | int | count,
|  | const ON_3dPoint * | p ) const

## InClipPlaneRegion() [3/5]

int ON_ClippingRegion::InClipPlaneRegion | ( | int | count,
|  | const ON_3fPoint * | p ) const

## InClipPlaneRegion() [4/5]

int ON_ClippingRegion::InClipPlaneRegion | ( | int | count,
|  | const ON_4dPoint * | p ) const

## InClipPlaneRegion() [5/5]

int ON_ClippingRegion::InClipPlaneRegion | ( | ON_3dPoint | P | ) | const

## InViewFrustum() [1/5]

int ON_ClippingRegion::InViewFrustum | ( | const ON_BoundingBox & | bbox | ) | const

## InViewFrustum() [2/5]

int ON_ClippingRegion::InViewFrustum | ( | int | count,
|  | const ON_3dPoint * | p ) const

## InViewFrustum() [3/5]

int ON_ClippingRegion::InViewFrustum | ( | int | count,
|  | const ON_3fPoint * | p ) const

## InViewFrustum() [4/5]

int ON_ClippingRegion::InViewFrustum | ( | int | count,
|  | const ON_4dPoint * | p ) const

## InViewFrustum() [5/5]

int ON_ClippingRegion::InViewFrustum | ( | ON_3dPoint | P | ) | const

## IsVisible() [1/5]

int ON_ClippingRegion::IsVisible | ( | const ON_BoundingBox & | bbox | ) | const

## IsVisible() [2/5]

int ON_ClippingRegion::IsVisible | ( | int | count,
|  | const ON_3dPoint * | p ) const

## IsVisible() [3/5]

int ON_ClippingRegion::IsVisible | ( | int | count,
|  | const ON_3fPoint * | p ) const

## IsVisible() [4/5]

int ON_ClippingRegion::IsVisible | ( | int | count,
|  | const ON_4dPoint * | p ) const

## IsVisible() [5/5]

int ON_ClippingRegion::IsVisible | ( | ON_3dPoint | P | ) | const

## SetClipPlaneTolerance()

void ON_ClippingRegion::SetClipPlaneTolerance | ( | double | clip_plane_tolerance | ) |

## TransformPoint() [1/3]

unsigned int ON_ClippingRegion::TransformPoint | ( | const ON_3dPoint & | P,
|  | ON_3dPoint & | Q ) const

## TransformPoint() [2/3]

unsigned int ON_ClippingRegion::TransformPoint | ( | const ON_3fPoint & | P,
|  | ON_3dPoint & | Q ) const

## TransformPoint() [3/3]

unsigned int ON_ClippingRegion::TransformPoint | ( | const ON_4dPoint & | P,
|  | ON_4dPoint & | Q ) const

## TransformPoints() [1/2]

int ON_ClippingRegion::TransformPoints | ( | int | count,
|  | ON_4dPoint * | p ) const

## TransformPoints() [2/2]

int ON_ClippingRegion::TransformPoints | ( | int | count,
|  | ON_4dPoint * | p,
|  | unsigned int * | pflags ) const

## Member Data Documentation

## m_clip_plane

ON_PlaneEquation ON_ClippingRegion::m_clip_plane[max_clip_plane_count]

Definition at line 822 of file opennurbs_xform.h.

## m_clip_plane_count

int ON_ClippingRegion::m_clip_plane_count

Definition at line 812 of file opennurbs_xform.h.

## m_xform

ON_Xform ON_ClippingRegion::m_xform

Definition at line 774 of file opennurbs_xform.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_xform.h